from sys import exit

letterGrade = input("Inserisci il voto in lettere: ")
letter = letterGrade[0]

if letter == "A":
    numericGrade = 4
elif letter == "B":
    numericGrade = 3
elif letter == "C":
    numericGrade = 2
elif letter == "D":
    numericGrade = 1
elif letter == "F":
    numericGrade = 0
else:
    exit("Invalid grade")

if len(letterGrade) > 1:
    modifier = letterGrade[1]

    if modifier == "+" and numericGrade != 4 and numericGrade != 0:
        numericGrade += 0.3
    elif modifier == "-" and numericGrade != 0:
        numericGrade -= 0.3
    else:
        exit("Invalid grade")

print("Il voto numerico è ", numericGrade)
